commit 5e9cd91ce2a706e10d73e364469be2f5ed983ef2
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Dec 8 00:23:12 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index a611dd48945..f4039d392c2 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241207
+20241208
diff --git a/gcc/m2/ChangeLog b/gcc/m2/ChangeLog
index 95ab599b0fb..cc4c1c17f7e 100644
--- a/gcc/m2/ChangeLog
+++ b/gcc/m2/ChangeLog
@@ -1,3 +1,16 @@
+2024-12-07  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-12-07  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/117948
+	* gm2-compiler/P1Build.bnf (ForwardDeclaration): Pass token
+	position of the FORWARD keyword to EndBuildForward.
+	* gm2-compiler/P1SymBuild.def (EndBuildForward): New parameter
+	forwardPos.
+	* gm2-compiler/P1SymBuild.mod (EndBuildForward): Issue an error at
+	forwardPos if the Iso boolean is false.
+
 2024-12-06  Gaius Mulley  <gaiusmod2@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 59d78f881d8..d59fcced29a 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-12-07  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-12-07  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/117948
+	* gm2/pim/fail/forward.mod: New test.
+
 2024-12-06  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
 
 	Backported from master:

